local M = {}

local function onInit()
    -- Inicialización del sistema
    print("Airbag System Initialized")
end

local function onNodeImpact(nodeId, force)
    -- Detectar impacto en el nodo f16
    if nodeId == "f16" and force > 500 then -- Ajustar fuerza mínima para activar airbag
        print("Impact detected on f16, deploying airbag!")
        deployAirbag()
    end
end

local function deployAirbag()
    -- Lógica para desplegar el airbag
    obj:queueGameEngineLua('be:showNotification("Airbag Deployed!")')
    -- Aquí podrías agregar animaciones u otros efectos visuales
end

M.onInit = onInit
M.onNodeImpact = onNodeImpact

return M
